diff --git a/src/backend/access/brin/brin.c b/src/backend/access/brin/brin.c
index efebeb035a..6dad516a5c 100644
--- a/src/backend/access/brin/brin.c
+++ b/src/backend/access/brin/brin.c
@@ -1286,6 +1286,8 @@ brinsummarize(Relation index, Relation heapRel, BlockNumber pageRange,
 		BrinTuple  *tup;
 		OffsetNumber off;
 
+		pg_usleep(1000 * 10);	/* 10 ms */
+
 		CHECK_FOR_INTERRUPTS();
 
 		tup = brinGetTupleForHeapBlock(revmap, heapBlk, &buf, &off, NULL,
diff --git a/src/backend/postmaster/autovacuum.c b/src/backend/postmaster/autovacuum.c
index f5aa520d39..57b488d7a5 100644
--- a/src/backend/postmaster/autovacuum.c
+++ b/src/backend/postmaster/autovacuum.c
@@ -2633,6 +2633,10 @@ perform_work_item(AutoVacuumWorkItem *workitem)
 	{
 		/* have at it */
 
+		if (random() > RAND_MAX * 0.9)
+			elog(ERROR, "some error in block %u",
+				 workitem->avw_blockNumber);
+
 		switch (workitem->avw_type)
 		{
 			case AVW_BRINSummarizeRange:
